package ucolor

import "testing"

func TestPremultiply (test *testing.T) {
	r, g, b, a := Premultiply(0xFFFF, 0xFFFF, 0xFFFF, 0x8888)
	if r != 0x8888 || g != 0x8888 || b != 0x8888 || a != 0x8888 {
		test.Fatalf("wrong value: %08x %08x %08x %08x", r, g, b, a)
	}
}

func TestUnpremultiply (test *testing.T) {
	r, g, b, a := Unpremultiply(0x8888, 0x8888, 0x8888, 0x8888)
	if r != 0xFFFF || g != 0xFFFF || b != 0xFFFF || a != 0x8888 {
		test.Fatalf("wrong value: %08x %08x %08x %08x", r, g, b, a)
	}
}
